Bug 1028755 - add NIC to VM failed on create VM from template
add NIC to VM failed on create VM from template
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
x86_64 Linux
high Severity high
: ---
: 3.3.0
Assigned To: Lior Vernia
Meni Yakove
network
:
Depends On:
Blocks: 3.3snap3
  Show dependency treegraph
 
Reported: 2013-11-10 08:11 EST by Meni Yakove
Modified: 2016-02-10 14:59 EST (History)
8 users (show)

See Also:
Fixed In Version: is24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine.log (1.17 MB, text/x-log)
2013-11-10 08:11 EST, Meni Yakove
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 21203 None None None Never

  None (edit)
Description Meni Yakove 2013-11-10 08:11:22 EST
Created attachment 822075 [details]
engine.log

Description of problem:
When creating VM from template and adding another NIC to the VM in the create windows the add NIC failed:

2013-11-10 15:04:31,933 WARN  [org.ovirt.engine.core.bll.network.vm.ActivateDeactivateVmNicCommand] (pool-5-thread-50) [300a74e] CanDoAction of action ActivateDeactivateVmNic failed. Reasons:
VAR__ACTION__ACTIVATE,VAR__TYPE__INTERFACE,ACTIVATE_DEACTIVATE_NIC_VM_STATUS_ILLEGAL



Version-Release number of selected component (if applicable):
rhevm-3.3.0-0.32.beta1.el6ev.noarch

How reproducible:
100%

Steps to Reproduce:
1. Create template
2. Create VM from template and add another NIC from the new VM window


Actual results:
Add NIC failed (VM was created from template)

Expected results:
VM created from template with the extra NIC
Comment 1 Meni Yakove 2013-11-21 07:49:04 EST
rhevm-3.3.0-0.35.beta1.el6ev.noarch
Comment 2 Itamar Heim 2014-01-21 17:25:02 EST
Closing - RHEV 3.3 Released
Comment 3 Itamar Heim 2014-01-21 17:25:43 EST
Closing - RHEV 3.3 Released
Comment 4 Itamar Heim 2014-01-21 17:29:15 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.